<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
	<NuxtLayout name="default">
		<div>

			<!-- sidebar navigation teleported to template -->
			<SidebarNav :nav="navItems" :title="'Glossary'" />

			<TopbarTopBar />
			<div class="detail-header">
				<div class="row">
					<div class="col-xl-4">
						<div class="title">
							<h2>Health Sciences</h2>
						</div>
					</div>
					<div class="col-xl-8">
						<div class="quick-actions">
							<div class="quick-actions-wrapper">
								<a href="#" class="button button-default button-black rounded"><i
										class="icon-favourite"></i>Marked as HIghlighted</a>
							</div>
							<div class="quick-actions-wrapper">
								<a href="#" class="button button-default button-black rounded">Edit</a>
								<a href="#" class="button button-default button-black rounded">Export</a>
								<a href="#" class="button button-default button-black rounded">Delete</a>
							</div>
						</div>
					</div>
				</div>


			</div>
			<div class="detail-body">
				<div class="row">
					<div class="col-xl-4">
						<div class="about">
							<InfoBox />
							<InfoBox />
						</div>
						<div class="info user">
							<h3>Owner</h3>
							<UserProfile />
						</div>
						<div class="info user">
							<h3>Shared with</h3>
							<UsersSelectionList />
						</div>
					</div>
					<div class="col-xl-6">
						<EditableTextBox />
					</div>
				</div>
			</div>
			<div class="detail-tab">
				<FiltersTop :sortOptions="sortOptions" class="special">
					<a href="#" class="button button-default button-black rounded" title="Add">
						<i class="icon-add"></i> Add term
					</a>
					<a href="#" class="button button-default button-grey rounded" title="">Import</a>
					<div class="filters-top-totals"><b>11 Terms</b> related to this Vocabulary</div>
				</FiltersTop>
				<Datatable :data="data" class="special"></Datatable>
			</div>
		</div>
	</NuxtLayout>
</template>
<script setup lang="ts">
import type DataTableI from '~/interfaces/datatable';
import type NavItemI from '~/interfaces/navItem';

const viewDefault = () => {
	console.log('show default home page');
}

const dummyClick = () => {
	console.log('dummyClick');
}

const navItems = ref<NavItemI[]>([
	{
		label: 'All terms',
		icon: 'clock',
		action: viewDefault
	},
	{
		label: 'Recently viewed',
		icon: 'clock',
		action: dummyClick
	},
	{
		label: 'Vocabularies',
		icon: 'vocabularies_nav',
		action: dummyClick
	},
	{
		label: 'Highlighted',
		icon: 'favourite',
		action: dummyClick
	},
	{
		label: 'Your Catalog',
		icon: 'loading',
		action: dummyClick
	}
]);

const sortOptions = ref(['Last modified first', 'Last modified last', 'Option 3']);


const data = ref<DataTableI>({
    options: {
        tableName: 'terms-table',
        detailsPath: 'catalog/',
        allowCheckRow: true,
        favourites: true,
        previewComponent: 'CatalogDetails',
    },
    columns: [
        {
            name: 'name',
            label: 'Name',
            width: '300px',
            combineColumn: 'type',
            renderComponent: 'TableColumnsName'
        },
        {
            name: 'platform',
            label: 'Platform',
            width: '100px'
        },
        {
            name: 'domain',
            label: 'Domain',
            width: '140px'
        },
        {
            name: 'quality',
            label: 'Quality',
            width: '100px',
            renderComponent: 'TableColumnsQuality'
        },
        {
            name: 'owner',
            label: 'Owner',
            width: '200px',
            renderComponent: 'UserProfile'
        },
        {
            name: 'edited_at',
            label: 'Edited at',
            width: '70px'
        },
        {
            name: 'actions',
            label: 'Actions',
            width: '80px',
            hideLabel: true
        }
    ],
    rows: [
        {
            id: 1,
            name: 'Customers',
            type: 'Dataset',
            platform: 'AWS S3',
            domain: 'Computer Science/ Artificial Intelligence',
            quality: 97,
            owner: 1,
            edited_at: '2022-01-01 22:43',
            actions: ''
        },
        {
            id: 2,
            name: 'Payments',
            type: 'Artifact',
            platform: 'BigQuery',
            domain: 'Medicine/Health Sciences',
            quality: 87,
            owner: 2,
            edited_at: '2022-01-01  22:43',
            actions: ''
        }
    ]
});

</script>